v.buffer processing algorithm fails when using option "Name of column to use for buffer distances". 
Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/GRASS

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27205

Description

The v.buffer processing algorithm has an option "Name of column to use for buffer distances".  This option  is useless, because grass

requires a "layer" to be specified (e.g. "1", when the default is "-1", which means all layers), and as far as I can see the processing

algorithm does not allow to specify the layer.

See output below.

...

C:\PROGRA~1\QGIS3~1.2\bin>v.buffer input=vector_5b44604f92e7116 type="point,line,area" angle=0 column=cat scale=1

tolerance=0.01 -t output=outputae6bb217e084496cabf18ac4d297ed04 --overwrite 

ERROR: The bufcol option requires a valid layer.

C:\PROGRA~1\QGIS3~1.2\bin>v.out.ogr -c type="auto" input="outputae6bb217e084496cabf18ac4d297ed04"

output="C:\Users\alistair\AppData\Local\Temp\processing_c1fa50c12d554ca1a5f64704b76c206c\36818b4836744d33b763fed661144855\output.shp" format="ESRI_Shapefile" --overwrite 

ERROR: Vector map <outputae6bb217e084496cabf18ac4d297ed04> not found
...


61144855\output.shp" format="ESRI_Shapefile" --overwrite 

ERROR: Vector map <outputae6bb217e084496cabf18ac4d297ed04> not found

...

P.S. the option isn't actually "bufcol" as printed in the error message - I guess that is an upstream copy/paste error from when the GRASS

team were messing around with different versions of v.buffer.

Associated revisions

Revision bfb60e4d - 2019-01-24 08:01 PM - Alexander Bruy

[processing] fix GRASS v.buffer algorithm for case when buffer distance

is taken from the field (fix #19377)

Revision a90fb87c - 2019-01-25 11:49 AM - Alexander Bruy

Merge pull request #8973 from alexbruy/grass-buffer

[processing] fix GRASS v.buffer algorithm for variable buffer case (fix #19377)

Revision 33319595 - 2019-01-25 01:34 PM - Alexander Bruy
[processing] fix GRASS v.buffer algorithm for case when buffer distance

is taken from the field (fix #19377)

(cherry picked from commit bfb60e4dc70310eae0e3b2ef9200c3b78164c6f4)

History

#1 - 2018-12-05 04:45 AM - Alister Hood

- Regression? changed from No to Yes

- Priority changed from Normal to High

Actually, this is a regression, because 2.18.x has a working v.buffer.column algorithm.

Still a problem in 3.4.2

#2 - 2018-12-06 10:44 AM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Affected QGIS version changed from 3.2 to 3.5(master)

#3 - 2019-01-24 08:06 PM - Alexander Bruy

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Assignee changed from Giovanni Manghi to Alexander Bruy

PR https://github.com/qgis/QGIS/pull/8973

#4 - 2019-01-25 11:48 AM - Alexander Bruy

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|bfb60e4dc70310eae0e3b2ef9200c3b78164c6f4.

#5 - 2019-01-25 12:02 PM - Alexander Bruy

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/8973

